Skip to main content

Blockchain

GET

Retrieves a list of block headers in descending order. The number of results may be limited.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Query Parameters
minHeightstring
Minimum block height to include in the response.
maxHeightstring
Maximum block height to include in the response.
Responses
jsonrpcstringrequired
idintegerrequired
last_heightstring
hashstring
totalinteger
hashstring
block_sizeinteger
blockstring
appstring
chain_idstring
heightstring
timestring
hashstring
totalinteger
hashstring
last_commit_hashstring
data_hashstring
validators_hashstring
next_validators_hashstring
consensus_hashstring
app_hashstring
last_results_hashstring
evidence_hashstring
proposer_addressstring
num_txsstring
cURL
curl -X GET 'https://rpc-injective-mainnet.nodit.io/blockchain?minHeight=1&maxHeight=2' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'